{% extends 'admin/base.html.twig' %}

{% block title %}Hello AdminDashboardController!{% endblock %}

{% block body %}

<div class="container-fluid">
<div class="row">
<div class="col">

<div class="card bg-primary text-white mb-3 text-center">
<div class="class-body">
<div class="row">
<div class="col-4">
users</div>
<div class="col-8">
<h4 class="card-title">{{stats.users}} utilisateurs</h4>
</div>
</div></div>
</div>

</div>
<div class="col">

<div class="card bg-success text-white mb-3 text-center">
<div class="class-body">
<div class="row">
<div class="col-4">
Ads</div>
<div class="col-8">
<h4 class="card-title"> {{stats.ads}} annonces</h4>
</div>
</div></div>
</div>

</div>
<div class="col">

<div class="card bg-warning text-white mb-3 text-center">
<div class="class-body">
<div class="row">
<div class="col-4">
bookings</div>
<div class="col-8">
<h4 class="card-title"> {{stats.bookings}} reservation</h4>
</div>
</div></div>
</div>

</div>
<div class="col">

<div class="card bg-success text-white mb-3 text-center">
<div class="class-body">
<div class="row">
<div class="col-4">
comments</div>
<div class="col-8">
<h4 class="card-title"> {{stats.comments}} avis</h4>
</div>
</div></div>
</div>

</div>
</div>

<div class="row">
<div class="col">
<div class="alert alert-success">
<h2 class="alert-heading">les annonces populaire</h2>
<table class="table table-hover">
<thead><tr>
<td>annonce</td>
<td>prprio</td>
<td>moyenne</td>
</tr></thead>
<tbody>
{%for ad in bestAds%}
<tr>
<td>{{ad.title}}</td>
<td><img src="{{ad.picture}}" width="20px">{{ad.firstName}}{{ad.lastName}}</td>
<td>{{ad.note}}</td>
</tr>
{%endfor%}
</tbody></table>
</div>
</div>
<div class="col">
<div class="alert alert-danger">
<h2 class="alert-heading">les annonces mauvais</h2>
<table class="table table-hover">
<thead><tr>
<td>annonce</td>
<td>prprio</td>
<td>moyenne</td>
</tr></thead>
<tbody>
{%for ad in worstAds%}
<tr>
<td>{{ad.title}}</td>
<td><img src="{{ad.picture}}" width="20px">{{ad.firstName}}{{ad.lastName}}</td>
<td>{{ad.note}}</td>
</tr>
{%endfor%}
</tbody></table>
</div>
</div>
</div>

</div >
{% endblock %}
